Bug 183533 - [MAINTAINER-UPDATE] databases/spatialite 3.0.1 -> 4.1.1
[MAINTAINER-UPDATE] databases/spatialite 3.0.1 -> 4.1.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 18:40 UTC by coder
Modified: 2013-11-05 12:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.68 KB, patch)
2013-10-31 18:40 UTC, coder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description coder 2013-10-31 18:40:00 UTC
Update spatialite 3.0.1 -> 4.1.1

Tinderbox's log :
https://redports.org/buildarchive/20131031174720-21055/

Change maintainer

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2013-11-01 02:34:46 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2013-11-01 02:34:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

wenheping@gmail.com => wen@ (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-11-01 02:34:59 UTC
Maintainer of databases/spatialite,

Please note that PR ports/183533 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183533

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2013-11-01 02:35:00 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 wenheping 2013-11-01 03:02:45 UTC
Hi,

   Did you test all the ports depends on spatialite ?

Thanks !

wen
Comment 6 dfilter freebsd_committer 2013-11-05 12:40:37 UTC
Author: wen
Date: Tue Nov  5 12:40:29 2013
New Revision: 332842
URL: http://svnweb.freebsd.org/changeset/ports/332842

Log:
  - Update to 4.1.1
  - Pass maintainership to submitter
  
  PR:		183533
  Submitted by:	lbartoletti <coder@tuxfamily.org>
  Approved by:	Wen Heping(previous maintainer, myself)

Modified:
  head/databases/spatialite/Makefile
  head/databases/spatialite/distinfo
  head/databases/spatialite/pkg-plist

Modified: head/databases/spatialite/Makefile
==============================================================================
--- head/databases/spatialite/Makefile	Tue Nov  5 12:37:28 2013	(r332841)
+++ head/databases/spatialite/Makefile	Tue Nov  5 12:40:29 2013	(r332842)
@@ -2,28 +2,27 @@
 # $FreeBSD$
 
 PORTNAME=	spatialite
-PORTVERSION=	3.0.1
-PORTREVISION=	2
+PORTVERSION=	4.1.1
 CATEGORIES=	databases geography
 MASTER_SITES=	http://www.gaia-gis.it/gaia-sins/
 DISTNAME=	lib${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	wenheping@gmail.com
+MAINTAINER=	coder@tuxfamily.org
 COMMENT=	Spatial Extensions for SQLite
 
-LIB_DEPENDS=	geos_c.9:${PORTSDIR}/graphics/geos \
-		proj.7:${PORTSDIR}/graphics/proj \
-		freexl.1:${PORTSDIR}/textproc/freexl
+LIB_DEPENDS=	libgeos_c.so:${PORTSDIR}/graphics/geos \
+		libproj.so:${PORTSDIR}/graphics/proj \
+		libfreexl.so:${PORTSDIR}/textproc/freexl
 
-EXTRACT_SUFX =	.tar.gz
 WRKSRC=		${WRKDIR}/lib${PORTNAME}-${PORTVERSION}
 GNU_CONFIGURE=	yes
 USE_SQLITE=	yes
 USES=		gmake iconv
+USE_GCC=	yes
 
-CPPFLAGS+=	-I${LOCALBASE}/include
+CPPFLAGS+=	-I${WRKSRC}/src/headers -I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib ${ICONV_LIB}
-CONFIGURE_ARGS+=CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
+CONFIGURE_ARGS+=CFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 USE_LDCONFIG=	yes
 
 NO_STAGE=	yes

Modified: head/databases/spatialite/distinfo
==============================================================================
--- head/databases/spatialite/distinfo	Tue Nov  5 12:37:28 2013	(r332841)
+++ head/databases/spatialite/distinfo	Tue Nov  5 12:40:29 2013	(r332842)
@@ -1,2 +1,2 @@
-SHA256 (libspatialite-3.0.1.tar.gz) = 4983d6584069fd5ff0cfcccccee1015088dab2db177c0dc7050ce8306b68f8e6
-SIZE (libspatialite-3.0.1.tar.gz) = 1849723
+SHA256 (libspatialite-4.1.1.tar.gz) = 0481a20af952f4a38c9dbb10f37fd38c45f16c50397f8da0079e02435b9b910f
+SIZE (libspatialite-4.1.1.tar.gz) = 3846758

Modified: head/databases/spatialite/pkg-plist
==============================================================================
--- head/databases/spatialite/pkg-plist	Tue Nov  5 12:37:28 2013	(r332841)
+++ head/databases/spatialite/pkg-plist	Tue Nov  5 12:40:29 2013	(r332842)
@@ -1,4 +1,10 @@
 include/spatialite.h
+include/spatialite/geopackage.h
+include/spatialite/debug.h
+include/spatialite/gg_dxf.h
+include/spatialite/gg_wfs.h
+include/spatialite/sqlite.h
+include/spatialite/gg_xml.h
 include/spatialite/gaiaaux.h
 include/spatialite/gaiaexif.h
 include/spatialite/gaiageo.h
@@ -13,7 +19,7 @@ include/spatialite/spatialite.h
 lib/libspatialite.a
 lib/libspatialite.la
 lib/libspatialite.so
-lib/libspatialite.so.4
+lib/libspatialite.so.6
 libdata/pkgconfig/spatialite.pc
 @dirrmtry libdata/pkgconfig
 @dirrm include/spatialite
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2013-11-05 12:43:04 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!